Bug 81407 - Cannot allocate memory
Cannot allocate memory
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-08 22:46 EST by 03811
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 00:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 03811 2003-01-08 22:46:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
During the install process after partitioning,
formatting and selecting components an 
unhandled exception occurred.

A Red Hat tech first told me that this was because I was
using the GUI install and a 45M RAM i386 needed to do a 
text install.  Well, I get the same error with the GUI or text
install.

An unhandled exception has occurred. This
is most likely a bug. Please copy the 
full text of this exception or save the 
crash dump to a floppy then file a 
detailed bug report against anaconda at
http://bugzilla.redhat.com.bugzilla/

Traceback (most recent call last):
  File "/usr/bin/anaconda". line 694, in intf.run
     (id, dispatch, configFileData)
  File "/usr/lib/anaconda/text/py", line 446,
     in run dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
      self.MoveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215 in MoveStep
      rc=apply(func,self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", ;ine 680, in doInstall
      syslog.start (instPath, syslogname)
  File "/usr/lib/anaconda/syslogd.py", line 64, in start
      self.pid = os.fork()
 OSError: [Errno 12] Cannot allocate memory
 
      

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Using the boxed Red Hat Linux 8.0, install with GUI or text
2. The system is an old 386 Pentiom I 133MHz, 45M RAM and 2 IDE hard drives. 
3. Enter info for a minimal install
4. Above error happens after formatting, when components 
   are about to be copied?
    

Additional info:
Comment 1 Michael Lee Yohe 2003-01-09 08:56:47 EST
Duplicate == Bug 76123

Red Hat Linux 8.0 requires at least 64M of memory to install in graphical mode.
 Alternatively, you can attempt to install via Anaconda text mode which is more
lenient on memory requirements.  To do this, type "linux text" at the SYSLINUX
prompt upon first bootup.
Comment 2 03811 2003-01-09 12:03:38 EST
I got this error when I enter "linux text" at the 
boot prompt.  
Comment 3 Michael Lee Yohe 2003-01-09 12:15:12 EST
I think, one of the other duplicate bugs, had Michael Fulbright saying that 48M
of RAM should be sufficient for a text mode install (so you're still a wee bit
short).  You can increase the amount of swap space allocated to 128M and try
that.  How much swap space are you allocating?

Can you attach the Anaconda dump to this bug or Bug 76123?

Comment 4 Jeremy Katz 2003-01-10 00:25:32 EST
We don't support installation of Red Hat Linux 8.0 on systems with less than 64
megs of ram.

Note You need to log in before you can comment on or make changes to this bug.